DatePrint
  DatePrint V1.0 by Dennis N. Seitz.  Shareware: $5.  This GEOS
  application allows you to print the contents of the Datebook file
  created by the Calendar desk accessory without leaving the desktop.
  You can run GEOS accessories (like the calendar) by selecting them
  from the GEOS menu.  Near letter quality and draft printing modes
  are supported.